#!/bin/sh

################################################################################
#  2X Client Uninstaller
#	Copyright (c) 2010 2X Software Ltd. All rights reserved.
################################################################################


TUX_CLIENT_LOC="/Applications/2X Client.app"
TUX_CLIENT_SUPPORT_LOC="/Library/Application Support/2X"
TUX_CLIENT_INTPLUGIN_LOC="/Library/Internet Plug-Ins/2XClient.plugin"
TUX_CLIENT_CMDTOOL_LOC="/usr/bin/2xclient"
TUX_CLIENT_RECEIPT_PRE106_LOC="/Library/Receipts/2X Client.pkg"
TUX_CLIENT_RECEIPT_LOC1="/private/var/db/receipts/com.2X.pkg.2XClient.bom"
TUX_CLIENT_RECEIPT_LOC2="/private/var/db/receipts/com.2X.pkg.2XClient.plist"

TUX_CLIENT_PREFS="com.2X.ClientHelper"
TUX_CLIENT_HELPER_PREFS="com.2X.ClientLauncher"
 
Uninstall()
{
	OS_VERSION=`sw_vers | sed -n 's/ProductVersion:[[:space:]]*//p'` 
	if [ "$OS_VERSION" \< "10.6" ]; then 
		echo "Removing ${TUX_CLIENT_RECEIPT_PRE106_LOC}"
		rm -Rf "${TUX_CLIENT_RECEIPT_PRE106_LOC}"  2>/dev/null
	else
		echo "Removing Installer Receipt"
		rm -Rf "${TUX_CLIENT_RECEIPT_PRE106_LOC}"  2>/dev/null
		rm -f "${TUX_CLIENT_RECEIPT_LOC1}"  2>/dev/null
		rm -f "${TUX_CLIENT_RECEIPT_LOC2}"  2>/dev/null
	fi

	echo "Removing ${TUX_CLIENT_CMDTOOL_LOC}"
	rm -f "${TUX_CLIENT_CMDTOOL_LOC}"  2>/dev/null

	echo "Removing ${TUX_CLIENT_LOC}"
	rm -Rf "${TUX_CLIENT_LOC}"  2>/dev/null

	echo "Removing ${TUX_CLIENT_SUPPORT_LOC}"
	rm -Rf "${TUX_CLIENT_SUPPORT_LOC}"  2>/dev/null

	echo "Removing ${TUX_CLIENT_INTPLUGIN_LOC}"
	rm -f "${TUX_CLIENT_INTPLUGIN_LOC}"  2>/dev/null

	echo "Removing 2X Client Preferences"
	defaults delete "${TUX_CLIENT_PREFS}"  2>/dev/null
	defaults delete "${TUX_CLIENT_HELPER_PREFS}"  2>/dev/null

	return 0
}

Uninstall
exit 0