#!/usr/bin/perl

use Foundation;


$theLegacyContentType = "com.2X.ApplicationServerClient.2xa";
$theContentType = "com.2X.Client.2xa";
$theExtension = "2xa";

$downloadAssessmentPath = NSString->stringWithCString_("/tmp/com.apple.DownloadAssessment.plist");

printf "downloadAssessmentPath: %s\n", $downloadAssessmentPath->cString();
if (!$$downloadAssessmentPath)
{
	exit 0;
}

$downloadAssessment = NSMutableDictionary->dictionaryWithContentsOfFile_($downloadAssessmentPath);
if (!$$downloadAssessment)
{
	$downloadAssessment = NSMutableDictionary->new();
}
#printf "downloadAssessment: %s\n", $downloadAssessment->description()->cString();
if (!$$downloadAssessment)
{
	exit 0;
}

$riskCategorySafe = $downloadAssessment->objectForKey_("LSRiskCategorySafe");
if ($$riskCategorySafe)
{
	$riskCategorySafe = $riskCategorySafe->mutableCopy();
}
else
{
	$riskCategorySafe = NSMutableDictionary->new();
}
if ($$riskCategorySafe)
{
	$downloadAssessment->setObject_forKey_($riskCategorySafe, "LSRiskCategorySafe");
	#printf "riskCategorySafe: %s\n", $riskCategorySafe->description()->cString();
}
else
{
	exit 0;
}


$contentTypes = $riskCategorySafe->objectForKey_("LSRiskCategoryContentTypes");
if ($$contentTypes)
{
	$contentTypes = $contentTypes->mutableCopy();
}
else
{
	$contentTypes = NSMutableArray->new();
}

if ($$contentTypes)
{
	$riskCategorySafe->setObject_forKey_($contentTypes, "LSRiskCategoryContentTypes");
	#printf "contentTypes: %s\n", $contentTypes->description()->cString();
}
else
{
	exit 0;
}

$extensions = $riskCategorySafe->objectForKey_("LSRiskCategoryExtensions");
if ($$extensions)
{
	$extensions = $extensions->mutableCopy();
}
else
{
	$extensions = NSMutableArray->new();
}

if ($$extensions)
{
	$riskCategorySafe->setObject_forKey_($extensions, "LSRiskCategoryExtensions");
	#printf "extensions: %s\n", $extensions->description()->cString();
}
else
{
	exit 0;
}

if ($contentTypes->containsObject_($theLegacyContentType))
{
	$contentTypes->removeObject_($theLegacyContentType);
}


if (!$contentTypes->containsObject_($theContentType))
{
	$contentTypes->addObject_($theContentType);
}

if (!$extensions->containsObject_($theExtension))
{
	$extensions->addObject_($theExtension);
}

#printf "downloadAssessment: %s\n", $downloadAssessment->description()->cString();
$downloadAssessment->writeToFile_atomically_($downloadAssessmentPath, 1);

exit 0;





